Bug 190983 - anaconda uses corrupted keymap for layout "German latin1 w/ no dead keys"
anaconda uses corrupted keymap for layout "German latin1 w/ no dead keys"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-07 14:24 EDT by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 10:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2006-05-07 14:24:25 EDT
Description of problem:
Current "anaconda" uses a corrupted keymap for the layout type
"German latin1 w/ no dead keys".

Version-Release number of selected component (if applicable):
anaconda-11.1.0.8-1

How reproducible:
Always.

Steps to Reproduce:
1. Boot system from current "boot.iso".
2. Choose layout "German latin1 w/ no dead keys".
3. Try to enter the http download directory path.
  
Actual results:
The combination <shift>+number yields wrong results. The slash
character is not accessible via "<shift>+7". Instead a curly
bracket "{" is printed.

Expected results:
Character output should correspond to the keyboard layout.

Additional info:
It is necessary to get back to the keyboard layout selection menu.
The standard US keyboard layout is chosen and works correctly.
After the installation is completed, "system-config-keyboard" is
used to set the layout to "German latin1 w/ no dead keys". Now,
the keymap is correct!
Comment 1 Jeremy Katz 2006-05-07 16:47:41 EDT
Yeah, something has gone wrong with keyboard layout stuff the middle of last
week.  Chris was investigating
Comment 2 Chris Lumens 2006-05-10 11:15:37 EDT
Please try the next build and let us know if this works for you.  Peter's done
some work which fixes the us keymap at least.
Comment 3 Joachim Frieben 2006-05-10 14:14:39 EDT
Still not fixed in "anaconda-11.1.0.10-1". The "us" keyboard layout
never exhibited any problem to me (?). That's why I used it as a
fallback after the german one turned out to be broken.
Comment 4 Chris Lumens 2006-05-10 14:25:41 EDT
No, the next build.  10.1.0.10-1 is the current one.
Comment 5 Chris Lumens 2006-05-16 10:15:59 EDT
This should now be fixed in 11.1.0.11-1.
Comment 6 Joachim Frieben 2006-05-16 14:21:05 EDT
Tried today and works as expected. Thanks!

Note You need to log in before you can comment on or make changes to this bug.